com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ValueSetCell

- All Superinterfaces:
    Cell, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject
  All Known Subinterfaces:
    ActionValueSetCell, ConditionValueSetCell

      public interface ValueSetCell
      extends Cell

  A representation of the model object 'Value Set Cell'.

  The following features are supported:

  - `Value Set`
  See Also:
    `DecisiontablePackage.getValueSetCell()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.corticon.eclipse.core.util.ValueSet` | `getValueSet()` Returns the value of the 'Value Set' attribute
    `void` | `setValueSet(com.corticon.eclipse.core.util.ValueSet value)` Sets the value of the '`Value Set`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.Cell

      `getParserOutput, getTooltip, setParserOutput, setTooltip`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getValueSet

          com.corticon.eclipse.core.util.ValueSet getValueSet()

      Returns the value of the 'Value Set' attribute.

      If the meaning of the 'Value Set' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value Set' attribute.
      See Also:
        `setValueSet(ValueSet)`, `DecisiontablePackage.getValueSetCell_ValueSet()`

    - #### setValueSet

          void setValueSet(com.corticon.eclipse.core.util.ValueSet value)

      Sets the value of the '`Value Set`' attribute.
      Parameters:
        `value` - the new value of the 'Value Set' attribute.
      See Also:
        `getValueSet()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.